/*
 * CAggregationDynamicPointer.h
 *
 *  Created on: 02.06.2013
 *      Author: Graf
 */

#ifndef CAGGREGATIONDYNAMICPOINTER_H_
#define CAGGREGATIONDYNAMICPOINTER_H_

class CAggregationDynamicPointer
{
public:
   CAggregationDynamicPointer( int mxPoints = 4 );
   virtual ~CAggregationDynamicPointer();

   void put( CPoint *pPt );
   CPoint *pGet( int i ) const;
   void clear();
   void print() const;

private:
   CAggregationDynamicPointer( const CAggregationDynamicPointer & orig );  // verhindert Kopie
   CAggregationDynamicPointer & operator = ( const CAggregationDynamicPointer & orig );  // verhindert Zuweisung

   CPoint **m_ppPoints;
   int m_nPoints;
   int m_mxPoints;
};

#endif /* CAGGREGATIONDYNAMICPOINTER_H_ */
