/*
 * CKompositionDynamic.h
 *
 *  Created on: 02.06.2013
 *      Author: Graf
 */

#ifndef CKOMPOSITIONDYNAMIC_H_
#define CKOMPOSITIONDYNAMIC_H_

#include "CPoint.h"

class CKompositionDynamic
{
public:
   CKompositionDynamic( int mxPoints = 4 );
   virtual ~CKompositionDynamic();

   void put( const CPoint &rPt );
   CPoint get( int i ) const;
   void clear();
   void print() const;

private:
   CKompositionDynamic( const CKompositionDynamic & orig );  // verhindert Kopie
   CKompositionDynamic & operator = ( const CKompositionDynamic & orig );  // verhindert Zuweisung

   CPoint *m_pPoints;
   int m_nPoints;
   int m_mxPoints;
};

#endif /* CKOMPOSITIONDYNAMIC_H_ */
