/*
 * CKompositionDynamicPointer.h
 *
 *  Created on: 02.06.2013
 *      Author: Graf
 */

#ifndef CKOMPOSITIONDYNAMICPOINTER_H_
#define CKOMPOSITIONDYNAMICPOINTER_H_

class CKompositionDynamicPointer
{
public:
   CKompositionDynamicPointer( int mxPoints = 4 );
   virtual ~CKompositionDynamicPointer();

   void put( const CPoint &rPt );
   CPoint get( int i ) const;
   void clear();
   void print() const;

private:
   CKompositionDynamicPointer( const CKompositionDynamicPointer & orig );  // verhindert Kopie
   CKompositionDynamicPointer & operator = ( const CKompositionDynamicPointer & orig );  // verhindert Zuweisung

   CPoint **m_ppPoints;
   int m_nPoints;
   int m_mxPoints;
};

#endif /* CKOMPOSITIONDYNAMICPOINTER_H_ */
