/*
 * CPoint.cpp
 *
 *  Created on: 26.05.2013
 *      Author: Graf
 */
#include <iostream>
#include <stdlib.h>

using namespace std;


#include "CPoint.h"

int CPoint::nInst = 0;

CPoint::CPoint()
{
   m_x = 0;
   m_y = 0;

   nInst++;
   cout << "CPoint(): "; println();
}

CPoint::CPoint( const CPoint &rPt )
{
   m_x = rPt.m_x;
   m_y = rPt.m_y;

   nInst++;
   cout << "CPoint(rPt): "; print(); cout << " copy of "; rPt.println();
}

CPoint::CPoint( double x, double y )
{
   m_x = x;
   m_y = y;

   nInst++;
   cout << "CPoint(x,y): "; println();
}

CPoint::~CPoint()
{
   nInst--;
   cout << "~CPoint(): "; println();
}

CPoint& CPoint::operator = ( const CPoint &rPt )  // GIT: Zuweisungsoperator
{
   if( &rPt == this ) return *this;  // damit obj = obj geht

   m_x = rPt.m_x;
   m_y = rPt.m_y;

   cout << "CPoint<op=>: "; print(); cout << " = from "; rPt.println();
   return *this;
}


void CPoint::setXY( double x, double y )
{
   m_x = x;
   m_y = y;
}

double CPoint::getX() const
{
   return m_x;
}

double CPoint::getY() const
{
   return m_y;
}

void CPoint::move( double deltaX, double deltaY )
{
   m_x += deltaX;
   m_y += deltaY;
}

void CPoint::print() const
{
   cout << "CPoint: " << this << " " << m_x << ", " << m_y << " [" << nInst << "]";
}

void CPoint::println() const
{
   print(); cout << endl;
}
