/*
 * CPoint.h
 *
 *  Created on: 26.05.2013
 *      Author: Graf
 */

#ifndef CPOINT_H_
#define CPOINT_H_

class CPoint
{
public:
   CPoint();
   CPoint( const CPoint &rPt );
   CPoint( double x, double y );
   virtual ~CPoint();
   CPoint & operator = ( const CPoint &rPt );

   void setXY( double x, double y );
   double getX() const;
   double getY() const;
   void move( double deltaX, double deltaY );
   void print() const;
   void println() const;

private:
   static int nInst;

   double m_x;
   double m_y;
};

#endif /* CPOINT_H_ */
